<!--
Author:         Jakub Schon
Company:        Husky Energy
History:        jschn 30/08/2019 - Created.
 -->
<!-- VTT WOA List View Result Item -->
<!--suppress HtmlUnknownTag -->
<template>

	<li class="slds-item slds-p-vertical--xx-small">
		<article class="slds-tile slds-p-around--x-small tile_pretty hog-shadow_theme">
			<h3 class="slds-tile__title slds-truncate" title={record.Order_Description__c}>
				<c-hog_navigation-link label={record.Order_Description__c}
									   title={record.Order_Description__c}
									   type="standard__recordPage"
									   record-id={record.Id}
									   object-api-name="HOG_Maintenance_Servicing_Form__c"
									   action-name="view"></c-hog_navigation-link>
			</h3>
			<div class="slds-tile__detail">
			<p class="slds-truncate">
				<lightning-layout multiple-rows="true">
					<lightning-layout-item flexibility="auto" size="12" small-device-size="12" medium-device-size="4" large-device-size="4">
						<lightning-input readonly
										 label="Order Number"
										 value={record.Work_Order_Number__c}></lightning-input>
					</lightning-layout-item>
					<lightning-layout-item flexibility="auto" size="12" small-device-size="12" medium-device-size="4" large-device-size="4">
						<lightning-input readonly
										 label="Work Order Location"
										 value={location}></lightning-input>
					</lightning-layout-item>
					<lightning-layout-item flexibility="auto" size="12" small-device-size="12" medium-device-size="4" large-device-size="4">
						<lightning-input readonly
										 label="Plant Section"
										 value={record.Plant_Section__c}></lightning-input>
					</lightning-layout-item>
				</lightning-layout>
				<c-hog_generic_accordion header="Activities"
										 load-open-accordion={expanded}
										 disable-padding=true
										 ontoggle={handleToggle}>
					<c-vtt_woa-list-view_woa-table records={record.Work_Order_Activities__r}
												   tradesman-info={tradesmanInfo}
												   if:true={hasActivities}>

					</c-vtt_woa-list-view_woa-table>
					<template if:false={hasActivities}>
						No records
					</template>
				</c-hog_generic_accordion>
			</p>
			</div>
		</article>
	</li>

</template>